# Workspaces

Types:

```python
from nemo_platform.types.workspaces import (
    Workspace,
    WorkspaceParam,
    WorkspaceUpdate,
    WorkspacesPage,
)
```

Methods:

- client.workspaces.create(\*\*params) -> Workspace
- client.workspaces.retrieve(name) -> Workspace
- client.workspaces.update(name, \*\*params) -> Workspace
- client.workspaces.list(\*\*params) -> SyncDefaultPagination[Workspace]
- client.workspaces.delete(name) -> DeleteResponse
